
Foreman - Refactor #32130

Drop support of Facter 2 facts

03/19/2021 10:48 AM - Marek Hulán

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today we still support so called legacy facts in places we parse puppet facts. The drop of the Facter 2 was announced a while ago at

https://community.theforeman.org/t/the-road-to-making-puppet-optional/17983 and Foreman 2.6/3.0 would be a good time to clean

up this code

Related issues:

Related to Foreman - Refactor #27906: Use modern Facter 3 facts Closed

History

#1 - 03/19/2021 10:53 AM - Ewoud Kohl van Wijngaarden

I don't understand the goal of this issue. Why is it in the installer? It looks like it should be reported against core and then it's a duplicate of #27906.

#2 - 03/19/2021 10:54 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #27906: Use modern Facter 3 facts added

#3 - 03/19/2021 02:48 PM - Marek Hulán

- Project changed from Installer to Foreman

My appologies, I used the wrong project. Which explains why searching for an existing ticket didn't show me anything. However, the linked issue

seems to be marked as resolved already. We still have fallbacks to

operatingsystem

memorysize_mb

boardproductname

and probably others. This refactoring asks for the clean up of all of these to make to code base cleaner. Moving it to the Foreman project where it

should have been opened.

#4 - 03/29/2021 01:12 PM - Ewoud Kohl van Wijngaarden

- Category set to Facts

No, the other issue is Ready for testing but really should be new. I only prepared with a refactor to make it easier in the future. I've set that one back

to New. Shall we close this as a duplicate?

#5 - 04/09/2021 08:03 AM - Marek Hulán

- Status changed from New to Duplicate

I guess the other issue should have been a tracker if it was supposed to be implemented in multiple PRs. I don't mind closing this as duplicate, I'll

copy the description from here to there.
